version: '3.8'
services:
  app:
    build: .
    ports:
      - "3000:3000"
    volumes:
      - ./:/app
      - /app/node_modules
      - ./screenshots:/app/screenshots
    environment:
      - NODE_ENV=development
      - PUPPETEER_SKIP_CHROMIUM_DOWNLOAD=true
      - PUPPETEER_EXECUTABLE_PATH=/usr/bin/chromium
      - TZ=Europe/Berlin
    env_file:
      - .env
    # Uncomment for debugging
    # command: ["npm", "run", "dev"]
    # entrypoint: ["/bin/bash"]
